package com.zhongshu.card.server.core.dao.school;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.domain.school.Area;
import com.zhongshu.card.server.core.domain.school.College;

import java.util.List;

/**
 * 区域Dao
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface AreaDao extends MongoDao<Area> {

    Area findTopById(String id);

    List<Area> findByIdIn(List<String> ids);

    List<Area> findByOidOrderBySortAsc(String oid);

    Area findByNameAndOid(String name, String oid);

    Area findTopByCodeAndOid(String code, String oid);

    List<Area> findByParentIdAndOid(String parentId, String oid);

    List<Area> findByOidAndIdIn(String oid, List<String> ids);
}
